#!/bin/sh
set -e

case "$1" in
  configure)
    # Add prometheus user
    adduser --quiet --system --home /var/lib/prometheus \
            --group --gecos "Prometheus daemon" prometheus

    if ! dpkg-statoverride --list /var/lib/prometheus >/dev/null; then
      chown prometheus:prometheus /var/lib/prometheus
    fi
  ;;

  abort-upgrade|abort-remove|abort-deconfigure)
    :
  ;;

  *)
    echo "postinst called with unknown argument '$1'" >&2
    exit 1
  ;;
esac

#DEBHELPER#

exit 0
